import { EventEmitter } from '@angular/core';
import { AcdcToast, AcdcNotifcationsDefaultConfig } from './acdc-notifications.model';
export declare class AcdcNotificationsService {
    private defaultConfig;
    addToastAction: EventEmitter<AcdcToast>;
    deleteToastAction: EventEmitter<AcdcToast>;
    updateDefaultConfigEmitter: EventEmitter<AcdcNotifcationsDefaultConfig>;
    private counter;
    private toasts;
    private acdcConfig;
    constructor(defaultConfig: AcdcNotifcationsDefaultConfig);
    private generateId();
    private addToast(notificationLevel, title, message, timeout?);
    private toastParamsError();
    getToastsRef(): AcdcToast[];
    updateDefaultConfig(defaultConfig: AcdcNotifcationsDefaultConfig): void;
    toast(...params: any[]): string;
    deleteAllToasts(): void;
    deleteToast(id: string): void;
}
