import { OnInit } from '@angular/core';
import { AcdcToast, AcdcNotifcationsDefaultConfig } from './acdc-notifications.model';
import { AcdcUtilsService } from './acdc-utils.service';
import { AcdcNotificationsService } from './acdc-notifications.service';
export declare class AcdcNotificationsComponent implements OnInit {
    private acdcNotificationsService;
    private acdcUtils;
    private defaultConfig;
    private toastsDiv;
    toasts: AcdcToast[];
    acdcConfig: AcdcNotifcationsDefaultConfig;
    constructor(acdcNotificationsService: AcdcNotificationsService, acdcUtils: AcdcUtilsService, defaultConfig: AcdcNotifcationsDefaultConfig);
    ngOnInit(): void;
    dismissToast(id: string): void;
    dismissAllToasts(): void;
    private setEmptyConfigDefaults(defaultConfig);
}
